# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\LanguageLabel:
  - {name: '[xc_ks] Keystone', translations: [{code: en, label: 'Keystone'}]}
  - {name: '[xc_ks] trial mode notice', translations: [{code: en, label: 'Keystone integration is in trial mode and allows importing no more than {{limit}} products for each brand.'}]}
  - {name: '[xc_ks] action settings enter your credentials', translations: [{code: en, label: 'enter your credentials'}]}
  - {name: '[xc_ks] Alert - create account', translations: [{code: en, label: 'Enter your account number and API key, and save the changes. If you don’t have these, contact <a target="_blank" href="https://www.keystoneautomotive.com/About/Contact">Keystone Automotive Operations</a>.'}]}
  - {name: '[xc_ks] Info tooltip (brand not authorized)', translations: [{code: en, label: 'You are not allowed to import products from this brand.'}]}
  - {name: '[xc_ks] Price Adjustment - Help', translations: [{code: en, label: "Prices after markup/discount can not be below MAP price. Drag the price bars to change price import order."}]}
  - {name: '[xc_ks] Account Number', translations: [{code: en, label: 'Account number'}]}
  - {name: '[xc_ks] API Key', translations: [{code: en, label: 'API key'}]}
  - {name: '[xc_ks] Brands data import in progress', translations: [{code: en, label: 'Brands data import in progress'}]}
  - {name: '[xc_ks] Brands data import is started', translations: [{code: en, label: 'Brands data import is started'}]}
  - {name: '[xc_ks] Brands data import completed', translations: [{code: en, label: 'Brands data import completed'}]}
  - {name: '[xc_ks] Please select the brand attribute', translations: [{code: en, label: 'Please select the brand attribute on the <a href="{{link}}">Brands module settings</a> page'}]}
  - {name: '[xc_ks] Keystone create-products warning', translations: [{code: en, label: 'Keystone does NOT provide any product-related data except for stock and prices. If you select to create new products based on Keystone data import, be ready to add missing product details from other sources.'}]}
  - {name: '[xc_ks] MAP Price', translations: [{code: en, label: 'MAP Price (RMP)'}]}
  - {name: '[xc_ks] Cost Price', translations: [{code: en, label: 'Cost Price'}]}
  - {name: '[xc_ks] Jobber Price', translations: [{code: en, label: 'Jobber Price (JBR)'}]}
  - {name: '[xc_ks] Price to Import', translations: [{code: en, label: 'Price to Import'}]}
  - {name: '[xc_ks] Price to Import - Help', translations: [{code: en, label: "Use the Price Adjustment field to add either positive or negative markup for the price. The markup will apply automatically during the price import."}]}
  - {name: '[xc_ks] FTP user', translations: [{code: en, label: 'FTP user'}]}
  - {name: '[xc_ks] FTP password', translations: [{code: en, label: 'FTP password'}]}
  - {name: '[xc_ks] Keystone Stock', translations: [{code: en, label: 'Keystone Stock'}]}
  - {name: '[xc_ks] Use Keystone stock', translations: [{code: en, label: 'Use Keystone stock'}]}
  - {name: '[xc_ks] Keystone stock all warehouses', translations: [{code: en, label: 'Keystone stock all warehouses'}]}
  - {name: '[xc_ks] X quantity in stock items', translations: [{code: en, label: '{{X}} item(s)'}]}
  - {name: '[xc_ks] Keystone location owner name', translations: [{code: en, label: 'Keystone'}]}
  - {name: '[xc_ks] Failed Keystone order creation', translations: [{code: en, label: 'Keystone order creation failed. See X-Cart logs for more details.'}]}
  - {name: '[xc_ks] Keystone order {{poNumber}} creation failed', translations: [{code: en, label: 'Keystone order {{poNumber}} creation failed. See X-Cart logs for more details.'}]}
  - {name: '[auto] Import mode option updateStock', translations: [{code: en, label: 'Stock'}]}
  - {name: '[auto] Schedule option updateStock', translations: [{ code: en, label: 'Update stock' }] }
  - {name: '[xc_ks] Contact Keystone to add your store IP to whitelist.', translations: [{ code: en, label: 'Contact Keystone to add your store IP to whitelist.' }] }
  - {name: '[xc_ks] Keystone brand warning message', translations: [{ code: en, label: "Data import will fail if the store IP is not added to the Keystone's whitelist." }] }
  - {name: "[xc_ks] This IP is not added to Keystone's whitelist.", translations: [{ code: en, label: "This IP is not added to Keystone's whitelist." }] }

XLite\Model\Config:
  - name: isRmpPriceAllowed
    category: XC\Keystone
    type: hidden
    orderby: 0
    value: ''
    module: XC\Keystone

XLite\Model\Task:
  - owner: XC\Keystone\Core\Task\KeystoneOrdersHistoryTask
